Skip to content
Everruns Cloud is open in early access. Run agents without operating the platform.

List uploaded files, newest first.

GET
/v1/files
curl --request GET \
--url https://app.everruns.com/api/v1/files
limit
integer | null format: int64

Maximum number of files to return.

List files

Media typeapplication/json
Array<object>

Stored file metadata (no binary data).

object
content_type
required

MIME type of the stored file (currently always application/pdf).

string
created_at
required

Upload timestamp.

string format: date-time
filename

Original filename supplied at upload, if known.

string | null
id
required
string
metadata
required

Caller-supplied metadata captured at upload.

object
size_bytes
required

Size of the stored file in bytes.

integer format: int64
Example
[
{
"content_type": "application/pdf",
"created_at": "2026-01-04T11:23:00Z",
"filename": "report.pdf",
"id": "file_01933b5a00007000800000000000001",
"size_bytes": 1048576
}
]